Stepeee Stepeee Jukwaa la AI Linalojiendesha Lenyewe

Uthibitishaji

1

Angalia Ufunguo wako wa API

Unaweza kuuangalia kutoka kwenye menyu iliyo juu kulia > Mipangilio > Akaunti > Funguo za API.

2

Ongeza kwenye Kichwa cha Ombi

Ongeza ufunguo wako wa API uliotolewa kwenye kichwa cha Authorization katika muundo wa Bearer.

3

Tuma Ombi kwa Base URL

Tuma maombi kwa base URL iliyo hapa chini ikifuatiwa na njia ya endpoint.

Base URL

https://stepeee.com/public-api/v1

Mfano wa Ombi

curl https://stepeee.com/public-api/v1/projects \
  -H "Authorization: Bearer sk_xxxxxxxxxxxxxxxx"
import requests

response = requests.get(
    "https://stepeee.com/public-api/v1/projects",
    headers={"Authorization": "Bearer sk_xxxxxxxxxxxxxxxx"},
)
print(response.json())
const response = await fetch("https://stepeee.com/public-api/v1/projects", {
  headers: { Authorization: "Bearer sk_xxxxxxxxxxxxxxxx" },
});
const data = await response.json();
console.log(data);
var request = URLRequest(url: URL(string: "https://stepeee.com/public-api/v1/projects")!)
request.setValue("Bearer sk_xxxxxxxxxxxxxxxx", forHTTPHeaderField: "Authorization")

let (data, _) = try await URLSession.shared.data(for: request)
print(String(data: data, encoding: .utf8)!)
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
    .uri(URI.create("https://stepeee.com/public-api/v1/projects"))
    .header("Authorization", "Bearer sk_xxxxxxxxxxxxxxxx")
    .build();

HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
$ch = curl_init("https://stepeee.com/public-api/v1/projects");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Authorization: Bearer sk_xxxxxxxxxxxxxxxx",
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Muundo wa Majibu na Makosa

Majibu yote yanarudishwa katika muundo wa bahasha ufuatao.

Ikifanikiwa

{ "data": ... }

Ikiwa na Hitilafu

{ "error": { "code": "...", "message": "..." } }

Misimbo ya Hali

HaliMaana
401Ufunguo wa API si sahihi au umeisha muda wake
404Rasilimali haipo (hii inajumuisha pia hali ambapo huna ruhusa ya kufikia)
422Vigezo si sahihi
429Kikomo cha kiwango kimezidishwa
500Hitilafu isiyotarajiwa imetokea

Miradi

GET › /projects

Inapata orodha ya miradi ambayo mmiliki wa ufunguo wa API anaweza kuifikia.

Mfano wa Ombi
curl https://stepeee.com/public-api/v1/projects \
  -H "Authorization: Bearer sk_xxxxxxxxxxxxxxxx"
import requests

response = requests.get(
    "https://stepeee.com/public-api/v1/projects",
    headers={"Authorization": "Bearer sk_xxxxxxxxxxxxxxxx"},
)
print(response.json())
const response = await fetch("https://stepeee.com/public-api/v1/projects", {
  headers: { Authorization: "Bearer sk_xxxxxxxxxxxxxxxx" },
});
const data = await response.json();
console.log(data);
var request = URLRequest(url: URL(string: "https://stepeee.com/public-api/v1/projects")!)
request.setValue("Bearer sk_xxxxxxxxxxxxxxxx", forHTTPHeaderField: "Authorization")

let (data, _) = try await URLSession.shared.data(for: request)
print(String(data: data, encoding: .utf8)!)
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
    .uri(URI.create("https://stepeee.com/public-api/v1/projects"))
    .header("Authorization", "Bearer sk_xxxxxxxxxxxxxxxx")
    .build();

HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
$ch = curl_init("https://stepeee.com/public-api/v1/projects");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Authorization: Bearer sk_xxxxxxxxxxxxxxxx",
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
Mfano wa Jibu
{
  "data": [
    {
      "project_unique": "a1b2c3d4e5",
      "project_name": "Sample Project",
      "description": "Sample project description",
      "created_at": "2026-01-10T09:00:00Z"
    }
  ],
  "meta": { "total": 1 }
}
GET › /projects/{project_unique}

Inapata maelezo ya mradi mmoja.

  • project_unique(string, njia, inahitajika) — kitambulisho cha umma cha mradi
Mfano wa Ombi
curl https://stepeee.com/public-api/v1/projects/a1b2c3d4e5 \
  -H "Authorization: Bearer sk_xxxxxxxxxxxxxxxx"
import requests

response = requests.get(
    "https://stepeee.com/public-api/v1/projects/a1b2c3d4e5",
    headers={"Authorization": "Bearer sk_xxxxxxxxxxxxxxxx"},
)
print(response.json())
const response = await fetch("https://stepeee.com/public-api/v1/projects/a1b2c3d4e5", {
  headers: { Authorization: "Bearer sk_xxxxxxxxxxxxxxxx" },
});
const data = await response.json();
console.log(data);
var request = URLRequest(url: URL(string: "https://stepeee.com/public-api/v1/projects/a1b2c3d4e5")!)
request.setValue("Bearer sk_xxxxxxxxxxxxxxxx", forHTTPHeaderField: "Authorization")

let (data, _) = try await URLSession.shared.data(for: request)
print(String(data: data, encoding: .utf8)!)
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
    .uri(URI.create("https://stepeee.com/public-api/v1/projects/a1b2c3d4e5"))
    .header("Authorization", "Bearer sk_xxxxxxxxxxxxxxxx")
    .build();

HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
$ch = curl_init("https://stepeee.com/public-api/v1/projects/a1b2c3d4e5");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Authorization: Bearer sk_xxxxxxxxxxxxxxxx",
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
Mfano wa Jibu
{
  "data": {
    "project_unique": "a1b2c3d4e5",
    "project_name": "Sample Project",
    "description": "Sample project description",
    "is_readonly": false,
    "created_at": "2026-01-10T09:00:00Z"
  }
}

Maudhui

GET › /projects/{project_unique}/contents

Inapata orodha iliyounganishwa ya maudhui yaliyotengenezwa ndani ya mradi (machapisho, blogu, picha, na video).

  • project_unique(string, njia, inahitajika) — kitambulisho cha umma cha mradi
Mfano wa Ombi
curl https://stepeee.com/public-api/v1/projects/a1b2c3d4e5/contents \
  -H "Authorization: Bearer sk_xxxxxxxxxxxxxxxx"
import requests

response = requests.get(
    "https://stepeee.com/public-api/v1/projects/a1b2c3d4e5/contents",
    headers={"Authorization": "Bearer sk_xxxxxxxxxxxxxxxx"},
)
print(response.json())
const response = await fetch("https://stepeee.com/public-api/v1/projects/a1b2c3d4e5/contents", {
  headers: { Authorization: "Bearer sk_xxxxxxxxxxxxxxxx" },
});
const data = await response.json();
console.log(data);
var request = URLRequest(url: URL(string: "https://stepeee.com/public-api/v1/projects/a1b2c3d4e5/contents")!)
request.setValue("Bearer sk_xxxxxxxxxxxxxxxx", forHTTPHeaderField: "Authorization")

let (data, _) = try await URLSession.shared.data(for: request)
print(String(data: data, encoding: .utf8)!)
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
    .uri(URI.create("https://stepeee.com/public-api/v1/projects/a1b2c3d4e5/contents"))
    .header("Authorization", "Bearer sk_xxxxxxxxxxxxxxxx")
    .build();

HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
$ch = curl_init("https://stepeee.com/public-api/v1/projects/a1b2c3d4e5/contents");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Authorization: Bearer sk_xxxxxxxxxxxxxxxx",
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
Mfano wa Jibu
{
  "data": [
    {
      "mode": "moviemode",
      "variation_unique": "m1a2b3c4d5",
      "title": "Generated Title",
      "progress": { "step_process": 3, "is_complete": true },
      "created_at": "2026-01-12T03:00:00Z"
    }
  ],
  "meta": { "total": 1 }
}
GET › /projects/{project_unique}/contents/{variation_unique}

Inapata maelezo ya kipande kimoja cha maudhui. Inajumuisha maandishi ya mwili/mali zilizotengenezwa na hali ya uchapishaji (matokeo ya kuchapisha kwenye SNS/WordPress, n.k.). Maudhui ya "content" hutofautiana kulingana na hali (mode).

  • project_unique(string, njia, inahitajika) — kitambulisho cha umma cha mradi
  • variation_unique(string, njia, inahitajika) — kitambulisho cha umma cha maudhui
Mfano wa Ombi
curl https://stepeee.com/public-api/v1/projects/a1b2c3d4e5/contents/m1a2b3c4d5 \
  -H "Authorization: Bearer sk_xxxxxxxxxxxxxxxx"
import requests

response = requests.get(
    "https://stepeee.com/public-api/v1/projects/a1b2c3d4e5/contents/m1a2b3c4d5",
    headers={"Authorization": "Bearer sk_xxxxxxxxxxxxxxxx"},
)
print(response.json())
const response = await fetch("https://stepeee.com/public-api/v1/projects/a1b2c3d4e5/contents/m1a2b3c4d5", {
  headers: { Authorization: "Bearer sk_xxxxxxxxxxxxxxxx" },
});
const data = await response.json();
console.log(data);
var request = URLRequest(url: URL(string: "https://stepeee.com/public-api/v1/projects/a1b2c3d4e5/contents/m1a2b3c4d5")!)
request.setValue("Bearer sk_xxxxxxxxxxxxxxxx", forHTTPHeaderField: "Authorization")

let (data, _) = try await URLSession.shared.data(for: request)
print(String(data: data, encoding: .utf8)!)
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
    .uri(URI.create("https://stepeee.com/public-api/v1/projects/a1b2c3d4e5/contents/m1a2b3c4d5"))
    .header("Authorization", "Bearer sk_xxxxxxxxxxxxxxxx")
    .build();

HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
$ch = curl_init("https://stepeee.com/public-api/v1/projects/a1b2c3d4e5/contents/m1a2b3c4d5");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Authorization: Bearer sk_xxxxxxxxxxxxxxxx",
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
Mfano wa Jibu
{
  "data": {
    "mode": "moviemode",
    "variation_unique": "m1a2b3c4d5",
    "title": "Generated Title",
    "progress": { "step_process": 3, "is_complete": true },
    "publish": [
      {
        "platform": "youtube",
        "status": "success",
        "post_url": "https://youtube.com/watch?v=xxxx",
        "posted_at": "2026-01-12T04:00:00Z"
      }
    ],
    "content": {
      "movie_unique": "v1a2b3c4d5e6f7g8h9i0",
      "download_url": "https://... (issued dynamically per request)",
      "thumbnail_url": "https://... (issued dynamically per request)"
    },
    "created_at": "2026-01-12T03:00:00Z"
  }
}